<?php
namespace Render3D;

use Omeka\Module\AbstractModule;
use Laminas\EventManager\SharedEventManagerInterface;
use Laminas\Mvc\MvcEvent;

class Module extends AbstractModule
{
	const NAMESPACE = __NAMESPACE__;

	const MODEL_TYPES = [
			'gltf' => 'gLTF',
			'obj' => 'OBJ',
			'obj+mtl' => 'OBJ + MTL',
			'json' => 'JSON',
	];

	public function getConfig()
	{
		return include __DIR__ . '/config/module.config.php';
	}
}
